> For the complete documentation index, see [llms.txt](https://docs.tuum.com/backoffice-user-guides/iDyT31cW9CYApPltrXUd/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tuum.com/backoffice-user-guides/iDyT31cW9CYApPltrXUd/accounts-guide/custom-bookings/custom-booking-csv.md).

# Custom booking CSV file

Here, you will find parameters for custom booking CSV and a sample file.

## Parameters with description

<table><thead><tr><th width="243">Row title</th><th>Description</th></tr></thead><tbody><tr><td>accountId</td><td><p>An existing account technical identifier in Tuum.</p><p></p><p><strong>Note:</strong> custom bookings should be permitted on the account.</p></td></tr><tr><td>transactionTypeCode</td><td><p>The transaction type, including the fee or transaction with the fee where custom bookings are allowed. For more details, see annex.<br></p><p><strong>Note:</strong> the transaction direction is automatically derived from the transaction type.</p></td></tr><tr><td>valueDateRule</td><td><p>The following options are available:</p><ul><li><strong>APPROVAL_DATE</strong> - the value date will be the date when the custom booking is finally approved.</li><li><strong>ENTERED_DATE</strong> - the value date will be the date that was entered as a custom booking value date.</li></ul></td></tr><tr><td>valueDate</td><td><p>The value date; format: <code>yyyy-mm-dd</code>.</p><ul><li>Mandatory if ENTERED_DATE;</li><li>Must be empty (“,,”) if APPROVAL_DATE.</li></ul><p><strong>Note:</strong> It cannot be in the future or before the allowed value date min date.</p></td></tr><tr><td>amount</td><td>Custom booking amount; must be positive.</td></tr><tr><td>currencyCode</td><td>Custom booking currency; must be allowed currency.</td></tr><tr><td>applyFee</td><td><p>The following options are available:</p><ul><li><strong>TRUE</strong>,</li><li><strong>FALSE</strong>.</li></ul></td></tr><tr><td>details</td><td>A textual description.</td></tr><tr><td>additionalInfo</td><td><p>Additional info not visible to the customer. Not mandatory</p><p></p><p><strong>Note:</strong> If additionalInfo is empty then comma (“,”) must be still added to the file as field delimiter.</p></td></tr><tr><td>label</td><td><p>Label value posted with PERIODICAL or ONETIME fee to specify fee type at a more detailed level. Not mandatory</p><p></p><p><strong>Note:</strong> If label value is empty then comma (“,”) must be still added to the file as last field delimiter</p></td></tr></tbody></table>

## Sample CSV file

The CSV file below consists of five rows, each representing a different use case.

1. row is the file header, which consists of the list of the parameter names. It is mandatory to have this row first in the file.
2. row **without** `additionalInfo`, **without** `label`.
3. row **without** `additionalInfo`, **with** `label`.
4. row **with** `additionalInfo`, **without** `label`.
5. row **with** long `additionalInfo`, **with** `label`.

{% code lineNumbers="true" %}

```csv
accountId,transactionTypeCode,valueDateRule,valueDate,amount,currencyCode,applyFee,details,additionalInfo,label
ID-7479,CAMP2ACC,APPROVAL_DATE,,2000.01,EUR,TRUE,Text to account statement 0,,
ID-7479,SETUP_FEE,APPROVAL_DATE,,2001.01,EUR,TRUE,Text to account statement 1,,SETUP_VIBAN
ID-7479,CAMP2ACC,APPROVAL_DATE,,2002.01,EUR,TRUE,Text to account statement 2,Internal comment 2,
ID-7472,SETUP_FEE,ENTERED_DATE,2028-01-16,2003.01,EUR,TRUE,Text to account statement 3,Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. Internal comment 3 very long. END,SETUP_VIBAN
```

{% endcode %}

## File upload guidelines

When creating your CSV file, adhere to the following guidelines.

{% hint style="info" %}

* Only include up to 1000 rows in the CSV file.
* Avoid adding quotation marks around any text.
* Ensure there are no commas inserted within the `details` or `additionalInfo` fields.
* Use a unique name for each file you upload.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tuum.com/backoffice-user-guides/iDyT31cW9CYApPltrXUd/accounts-guide/custom-bookings/custom-booking-csv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
